Page MenuHomePhabricator

Carry out the 2019 fawiki elections on votewiki
Closed, ResolvedPublic

Description

The annual elections for fawiki's Supervisory Council (akin to the Arbitration Committee) is coming up. Similar to last year (see T207560), we will be holding our annual elections on votewiki. To reduce the time pressure, I am opening this task two months in advance. We have also revised the calendar of events to eliminate the possibility of an overlap between our election and that of enwiki; this is important because votewiki's default language needs to be changed for our election, and the new timeline makes sure there is enough buffer days between the last day of our voting period and the first day of enwiki election configuration period to allow for the interface language change.

Here is a timeline of activities:

  • Oct 14 - Oct 20: Nominations:
    • Identify two scrutineers (typically, from current stewards): @Ajraddatz and @Einsbor
    • Make the scrutineers election admins on votewiki
  • Oct 21 - Oct 24: Election setup:
    • Importing the list of eligible voters
    • Importing the list of candidates
    • Configuring the election on votewiki
    • Change the language of votewiki to Persian (fa)
  • Oct 25 - Nov 7: Voting period
    • Submit an invitation to all eligible voters using MassMessage
  • Nov 8 - Nov 12: Tallying:
    • Change the language of votewiki back to English (en)
    • Scrutineers run necessary checks to strike votes submitted by socks or placed through proxy IP addresses
    • The Trust-and-Safety team runs the tally via command line (actually done by @Urbanecm)
    • Output is presented in two tables (one that shows the candidates ranked by their support, and the other that shows the head-to-head comparison matrix of votes)
    • Scrutineers confirm that the result posted on wiki matches the result from the tally

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 16 2019, 2:07 PM
Huji updated the task description. (Show Details)Aug 16 2019, 2:17 PM
DannyS712 moved this task from Backlog to VoteWiki on the Elections board.Aug 18 2019, 11:04 AM
Rhyno8412 renamed this task from Carry out the 2019 fawiki elections on votewiki to Roccitrhyno@gmail.com .Aug 25 2019, 3:46 AM
Rhyno8412 triaged this task as Unbreak Now! priority.
Rhyno8412 set Due Date to Aug 25 2019, 12:00 AM.
Rhyno8412 removed subscribers: Aklapper, 4nn1l2, Huji.
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 25 2019, 3:46 AM
JJMC89 renamed this task from Roccitrhyno@gmail.com to Carry out the 2019 fawiki elections on votewiki.Aug 25 2019, 3:49 AM
JJMC89 lowered the priority of this task from Unbreak Now! to Needs Triage.
JJMC89 removed Due Date.
JJMC89 edited subscribers, added: Aklapper, 4nn1l2, Huji; removed: Liuxinyu970226.
4nn1l2 added a subscriber: Einsbor.Sep 1 2019, 4:09 PM
jrbs moved this task from Backlog to Support on the Trust-and-Safety board.Sep 17 2019, 4:21 PM
Huji added a comment.Oct 8 2019, 11:16 AM

Just a quick reminder to all that we are less than a week away from the first step mentioned above.

jrbs added a subscriber: jrbs.Oct 8 2019, 3:41 PM

Just a quick reminder to all that we are less than a week away from the first step mentioned above.

Thank you for the reminder! I will work to set up votewiki this afternoon or tomorrow.

jrbs triaged this task as High priority.Oct 8 2019, 10:00 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptOct 8 2019, 10:00 PM
4nn1l2 updated the task description. (Show Details)Oct 10 2019, 7:37 AM
jrbs updated the task description. (Show Details)Oct 10 2019, 5:36 PM

Change 544995 had a related patch set uploaded (by 4nn1l2; owner: 4nn1l2):
[operations/mediawiki-config@master] Change the language of Votewiki to Persian (fa) temporarily for the annual ArbCom elections

https://gerrit.wikimedia.org/r/544995

Huji updated the task description. (Show Details)Oct 22 2019, 11:02 AM

Change 544995 merged by jenkins-bot:
[operations/mediawiki-config@master] Change the language of Votewiki to Persian (fa) temporarily for the annual ArbCom elections

https://gerrit.wikimedia.org/r/544995

Mentioned in SAL (#wikimedia-operations) [2019-10-22T11:09:59Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT: 0593f34: Change the language of Votewiki to Persian (fa) temporarily for the annual ArbCom elections (T230614) (duration: 00m 54s)

4nn1l2 updated the task description. (Show Details)Oct 22 2019, 3:23 PM
Huji updated the task description. (Show Details)Oct 22 2019, 10:30 PM
Huji updated the task description. (Show Details)Oct 24 2019, 10:30 AM
Huji updated the task description. (Show Details)Oct 25 2019, 12:41 AM
Alfa80 added a subscriber: Alfa80.Oct 25 2019, 4:09 PM

Change 549680 had a related patch set uploaded (by 4nn1l2; owner: 4nn1l2):
[operations/mediawiki-config@master] Change the language of Votewiki back to English

https://gerrit.wikimedia.org/r/549680

Huji added a comment.Nov 8 2019, 1:03 AM

@Ajraddatz and @Einsbor voting period is now over. Please review the votes in an effort to identify (a) votes that may submitted by a sock, or (b) votes that may be registered using a proxy IP. Both of these are disallowed. If you have questions that would involve non-public information (e.g. if you need me to run a CU on a specific IP or user) please either reach to me via Special:EmailUser/Huji or create a security Task on Phab and add me to it. Please acknowledge my message here so we know you are starting to work on this.

Change 549685 had a related patch set uploaded (by Huji; owner: Huji):
[operations/mediawiki-config@master] Revert "Change the language of Votewiki to Persian (fa) temporarily for the annual ArbCom elections"

https://gerrit.wikimedia.org/r/549685

Huji updated the task description. (Show Details)Nov 8 2019, 1:09 AM
Huji updated the task description. (Show Details)

Change 549680 abandoned by Urbanecm:
Change the language of Votewiki back to English

Reason:
549685 has more info in the commit message

https://gerrit.wikimedia.org/r/549680

@Huji How urgent is the switch to en? Is there any other plan on using votewiki soon, or can it wait for next week?

Huji added a comment.EditedNov 8 2019, 1:03 PM

@Urbanecm The switch to en has to be done prior to the 2019 enwiki ArbCom election. The self-nomination period for that election ends on Nov 12, and voting starts Nov 19, so the hard deadline can be Nov 12.

But, I think the switch should be done now regardless. The scrutineers would have to check our votes and while they can change their interface language to English via Special:Preferences, it is just that much easier if the interface language is already in English. Besides, there is absolutely no gain in keeping the interface in Persian anymore.

This doesn't need to be SWATed and can wait for a normal deployment train (so, merge now and it'll be deployed on Monday, I guess?)

There's no train for config. I think I can deploy it now.

Huji added a comment.Nov 8 2019, 1:05 PM

Oh, I did not know that. Thanks x2

Change 549685 merged by jenkins-bot:
[operations/mediawiki-config@master] Change the language of Votewiki back to English (en)

https://gerrit.wikimedia.org/r/549685

Mentioned in SAL (#wikimedia-operations) [2019-11-08T13:09:00Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: ee2027c: Change the language of Votewiki back to English (en) (T230614) (duration: 00m 54s)

Huji updated the task description. (Show Details)Nov 8 2019, 1:26 PM
Huji updated the task description. (Show Details)
Huji updated the task description. (Show Details)
Huji updated the task description. (Show Details)Nov 8 2019, 1:28 PM

Hello, I have no access to CU information on votewiki. Is this intentional?

jrbs added a comment.Nov 8 2019, 11:46 PM

Perhaps you need to be an admin of the election. @Huji is that correct? If so I can just add you to the election.

Hello, I have no access to CU information on votewiki. Is this intentional?

@Ajraddatz Please make sure that you are logged in and then visit this page. The CU information should be there. You are already an admin of the election (SecurePoll:746) and have electionadmin userright.

jrbs added a comment.Nov 8 2019, 11:59 PM

Hello, I have no access to CU information on votewiki. Is this intentional?

@Ajraddatz Please make sure that you are logged in and then visit this page. The CU information should be there. You are already an admin of the election (SecurePoll:746) and have electionadmin userright.

Aha, good looking out :)

Huji added a comment.Nov 9 2019, 12:32 AM
This comment was removed by Huji.

I have the electionadmin userright, but I think I need to be added as an admin for that specific campaign before I can see that data. I only see time, username, and domain at the moment.

I see full CU data, checked them. If, as previously, doubled votes will be striked automatically, I finished finished checks.

Huji added a comment.Nov 9 2019, 3:14 PM

I see full CU data, checked them. If, as previously, doubled votes will be striked automatically, I finished finished checks.

Repeated votes are automatically taken care of by SecurePoll itself. All we ask the scrutineers to do is to look at the IP and UA data and try to identify potential socks, and also check the IPs to make sure neither is a proxy (including VPN, HTTP/SOCKS, etc.)

I have the electionadmin userright, but I think I need to be added as an admin for that specific campaign before I can see that data. I only see time, username, and domain at the moment.

@jrbs Could you please add @Ajraddatz as an admin of the election through the database?

Huji added a comment.Nov 11 2019, 11:59 PM

@Ajraddatz you seem to be an electionadmin already, and have election admin rights for that election already as well. It baffles me why you cannot see the correct output. Perhaps you and @Einsbor can communicate privately on this? Send a screenshot and see if he/she also sees the page the same way or not?

Huji added a comment.Nov 12 2019, 12:15 PM

Today is the "tally day", based on our original election calendar. I know @Einsbor does not check Phab regularly, so I emailed him to ask him if he checked to make sure none of the votes were given through proxy/VPN. If so, I think we should run the tally. There are two scrutineers because of redundancy and distribution of work, not because we need both to review every vote. I will keep you posted as soon as I hear from Einsbor.

I checked, it seems fine for me. I think we can perform a tally.

Huji added a comment.Nov 12 2019, 3:08 PM

Great. Let's move on to the next step.

I think I was told last time that the tally cannot be run on wiki (the Shulze model is a bit involved, and PHP will run out of time). @jrbs is that so, and if yes, do you have to run the tally via commend line?

I think I was told last time that the tally cannot be run on wiki (the Shulze model is a bit involved, and PHP will run out of time)

That is not correct. Any election admin (including @Einsbor and @jrbs) should be able to run the tally using https://vote.wikimedia.org/wiki/Special:SecurePoll.

Please upload the results to Phabricator.

Huji added a comment.Nov 12 2019, 3:35 PM

Oh, good to know. I'm not sure why I was under the wrong impression. It would be great if someone would run the tally today.

Oh, good to know. I'm not sure why I was under the wrong impression. It would be great if someone would run the tally today.

Hopefully this is what you need: P9601, P9602

jrbs added a comment.Nov 12 2019, 11:19 PM

Oh, good to know. I'm not sure why I was under the wrong impression. It would be great if someone would run the tally today.

Hopefully this is what you need: P9601, P9602

For the record, I ran the same script and got (surprise!) the same output.

@Huji, is this what you need or would you like something else from me?

No!

The results should be something like

Huji added a comment.Nov 12 2019, 11:54 PM

Yes, that is the correct output. Somehow it did not register for 4nn1l2 that these are the same format as what he attached.

I will incorporate these into our election page on fawiki. It is expected that the scrutineers check the page (I will give you the link) and confirm that I transcribed the results correctly. That will officiate the results of the election.

jrbs added a comment.Nov 13 2019, 12:03 AM

No!

The results should be something like

This view is usually obtained by:

  1. Saving the HTML results to your system and opening them in a web browser
  2. Copying the table and pasting it into a spreadsheet program
  3. Copying that and pasting into VisualEditor

Or similar, I forget the exact process :)

Yes, that is the correct output. Somehow it did not register for 4nn1l2 that these are the same format as what he attached.

Weird!

@Huji Do you need some special permission (or level of access) to view the files (i.e. are they private or something)?

This is what I (an ordinary Phabricator user) see:

jrbs added a comment.EditedNov 13 2019, 12:25 AM

Yes, that is the correct output. Somehow it did not register for 4nn1l2 that these are the same format as what he attached.

Weird!

@Huji Do you need some special permission (or level of access) to view the files (i.e. are they private or something)?

This is what I (an ordinary Phabricator user) see:

Oh right, that would do it :) they are WMF-NDA only, with Huji as a subscriber.

Huji added a comment.Nov 13 2019, 1:05 AM

I cannot think of a reason why P9601 should not be public. The exact same information is what we will be putting on wiki.

I am making the tables using a mixture of regular expression and manual work.

jrbs added a comment.Nov 13 2019, 1:14 AM

I cannot think of a reason why P9601 should not be public. The exact same information is what we will be putting on wiki.

I am making the tables using a mixture of regular expression and manual work.

I added @4nn1l2 as a subscriber so he should now be able to see it. No comment on its publicness, though I would wait until the results are posted officially, personally.

jrbs updated the task description. (Show Details)Nov 13 2019, 1:14 AM
Huji updated the task description. (Show Details)Nov 13 2019, 1:34 AM

Once the scrutineers confirm that the results on fawiki match the tallies, we can close this task. And by "confirm" I mean we would need them to add their signature to the bottom of that page.

Huji updated the task description. (Show Details)Nov 13 2019, 1:35 AM

For the record, I uploaded the results privately because I wasn't sure if they aren't to be published at a later day or something like this.

Huji added a comment.Nov 13 2019, 11:35 PM

@Urbanecm can I ask you to make it public? (I can too, but I feel like I shouldn't go around you)

@Urbanecm can I ask you to make it public? (I can too, but I feel like I shouldn't go around you)

{{Done}}

4nn1l2 closed this task as Resolved.Nov 14 2019, 6:50 AM
4nn1l2 assigned this task to jrbs.
4nn1l2 updated the task description. (Show Details)